---
title: "Gets all collections."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-collections/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets all collections.

`GET` `/v1/collections`

## Query parameters

- `loadOptions` (object, optional) - The load options object.

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/collections:
    get:
      parameters:
        - description: The load options object.
          in: query
          name: loadOptions
          schema:
            $ref: "#/components/schemas/TesmaLoadOptions"
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TesmaLoadResult_CollectionResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
      summary: Gets all collections.
      tags:
        - Collections
security:
  - PersonalAccessToken: []
components:
  schemas:
    TesmaLoadOptions:
      additionalProperties: false
      properties:
        filter:
          items: {}
          type:
            - "null"
            - array
        group:
          items:
            $ref: "#/components/schemas/GroupingInfo"
          type:
            - "null"
            - array
        groupSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
        isCountQuery:
          type: boolean
        requireGroupCount:
          type: boolean
        requireTotalCount:
          type: boolean
        select:
          items:
            type: string
          type:
            - "null"
            - array
        skip:
          format: int32
          type: integer
        sort:
          items:
            $ref: "#/components/schemas/SortingInfo"
          type:
            - "null"
            - array
        take:
          format: int32
          type: integer
        totalSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
      type: object
    TesmaLoadResult_CollectionResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: "#/components/schemas/CollectionResponse"
          type:
            - "null"
            - array
          x-is-public: true
        groupCount:
          default: -1
          format: int32
          type: integer
        summary:
          items: {}
          type:
            - "null"
            - array
        totalCount:
          default: -1
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    GroupingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        groupInterval:
          type:
            - "null"
            - string
        isExpanded:
          type:
            - "null"
            - boolean
        selector:
          type:
            - "null"
            - string
      type: object
    SummaryInfo:
      additionalProperties: false
      properties:
        selector:
          type:
            - "null"
            - string
        summaryType:
          type:
            - "null"
            - string
      type: object
    SortingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        selector:
          type:
            - "null"
            - string
      type: object
    CollectionResponse:
      additionalProperties: false
      properties:
        carrierAddress:
          $ref: "#/components/schemas/AddressResponse"
        carrierAddressContact:
          type:
            - "null"
            - string
        carrierAddressMail:
          type:
            - "null"
            - string
        carrierAddressTelephone:
          type:
            - "null"
            - string
        collectionAddress:
          $ref: "#/components/schemas/AddressResponse"
        collectionAddressContact:
          type:
            - "null"
            - string
        collectionAddressMail:
          type:
            - "null"
            - string
        collectionAddressTelephone:
          type:
            - "null"
            - string
        collectionComment:
          type:
            - "null"
            - string
        collectionNumber:
          format: int32
          type: integer
        collectionRequestNumber:
          format: int32
          type: integer
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        destinationAddressContact:
          type:
            - "null"
            - string
        effectiveCollection:
          format: date-time
          type:
            - "null"
            - string
        erasureType:
          $ref: "#/components/schemas/CollectedAssetErasureType"
        goodsIn:
          format: date-time
          type:
            - "null"
            - string
        numberOfCollectedAssets:
          format: int32
          type: integer
        numberOfGradeAAssets:
          format: int32
          type: integer
        numberOfGradeBAssets:
          format: int32
          type: integer
        numberOfGradeCAssets:
          format: int32
          type: integer
        numberOfGradeDAssets:
          format: int32
          type: integer
        numberOfPlannedAssets:
          format: int32
          type: integer
        plannedCollection:
          format: date-time
          type:
            - "null"
            - string
        plannedCollectionNote:
          type:
            - "null"
            - string
        preferredCollectionPickupDateType:
          $ref: "#/components/schemas/CollectionRequestPickupDateType"
        preferredCollectionTimestamp:
          format: date-time
          type:
            - "null"
            - string
        preferredCollectionTimestampTo:
          format: date-time
          type:
            - "null"
            - string
        recipientAddress:
          $ref: "#/components/schemas/AddressResponse"
        recipientComment:
          type:
            - "null"
            - string
        status:
          $ref: "#/components/schemas/CollectionStatus"
        transportOrderId:
          format: int32
          type: integer
        transportOrderNumber:
          type:
            - "null"
            - string
      type: object
    AddressResponse:
      additionalProperties: false
      properties:
        city:
          type:
            - "null"
            - string
        country:
          type:
            - "null"
            - string
        county:
          type:
            - "null"
            - string
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        name:
          type:
            - "null"
            - string
        number:
          format: int32
          type:
            - "null"
            - integer
        postalCode:
          type:
            - "null"
            - string
        street:
          type:
            - "null"
            - string
        taxID:
          type:
            - "null"
            - string
      type: object
    CustomerContextResponse:
      additionalProperties: false
      properties:
        customerName:
          type:
            - "null"
            - string
        customerNumber:
          format: int32
          type: integer
        leaseCompany:
          format: int32
          type: integer
        leaseCompanyName:
          type:
            - "null"
            - string
      type: object
    CollectedAssetErasureType:
      enum:
        - eraSurePlus
        - eraSure
        - doDCompliant
        - noErasure
      type: string
    CollectionRequestPickupDateType:
      enum:
        - asapCollectionFromSpecificDate
        - fixedCollection
        - asapCollection
        - timeSlotCollection
      type: string
    CollectionStatus:
      enum:
        - created
        - scheduled
        - confirmed
        - dateArranged
        - collected
        - verified
        - completed
        - draft
        - requested
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
